Skip to main content
POST
Create Schedule

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Body

application/json
name
string
required
start_at
string<date-time>
required
interval_amount
integer
required
interval_unit
enum<string>
required
Available options:
minutes,
hours,
days,
weeks,
months
task
object
required
description
string
status
enum<string>
Available options:
enabled,
disabled
overlap
boolean
reuse_cluster
boolean

Response

Schedule created

id
integer
name
string
description
string
status
enum<string>
Available options:
enabled,
disabled
owner_id
integer
start_at
string<date-time>
next_run_at
string<date-time> | null
interval_amount
integer
interval_unit
enum<string>
Available options:
minutes,
hours,
days,
weeks,
months
task
object
overlap
boolean
reuse_cluster
boolean
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
html_url
string<uri>
Last modified on July 14, 2026